"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var base_1 = require("../../base");
var ProgressLabel = /** @class */ (function (_super) {
    __extends(ProgressLabel, _super);
    function ProgressLabel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable - 08.04.2018
     * @returns {JSX.Element}
     */
    ProgressLabel.prototype.render = function () {
        var props = this.props;
        return (React.createElement("span", { className: props.className },
            this.uiFactory.makeIcon({ type: 'timelapse', className: 'rac-loading-icon' }),
            React.createElement("span", { className: 'rac-loading-message' }, this.t(props.progressMessage || this.settings.messages.waitMessage))));
    };
    return ProgressLabel;
}(base_1.BaseComponent));
exports.ProgressLabel = ProgressLabel;
//# sourceMappingURL=progress-label.component.js.map