import { VueCreateElementFactoryT, VueNodeT } from '../../../vue-definitions.interface';
import { VueBaseFileViewer } from './vue-base-file-viewer.component';
export declare class VueFileViewer extends VueBaseFileViewer {
    /**
     * @stable [08.12.2018]
     * @param {VueCreateElementFactoryT} createElement
     * @returns {VueNodeT}
     */
    render(createElement: VueCreateElementFactoryT): VueNodeT;
    /**
     * @stable [29.11.2018]
     */
    protected onOpenPopup(): void;
    /**
     * @stable [29.11.2018]
     */
    protected onClosePopup(): void;
    /**
     * @stable [20.12.2018]
     */
    protected onRemove(): void;
}
