"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var URI = require("urijs");
var di_1 = require("../di");
var FetchJsonTransportFactory = /** @class */ (function () {
    function FetchJsonTransportFactory() {
    }
    FetchJsonTransportFactory.prototype.request = function (req) {
        var uri0 = new URI(req.url || this.settings.apiUrl);
        if (req.noCache !== true) {
            uri0.addSearch('_dc', Date.now());
        }
        uri0.path(req.name);
        return fetch(uri0.valueOf())
            .then(function (response) { return response.json(); })
            .then(function (result) { return ({ data: { result: result } }); });
    };
    FetchJsonTransportFactory.prototype.cancelRequest = function (operationId) {
        throw new Error('Unsupported operation');
    };
    FetchJsonTransportFactory.prototype.toRequestParams = function (req) {
        throw new Error('Unsupported operation');
    };
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.Settings),
        __metadata("design:type", Object)
    ], FetchJsonTransportFactory.prototype, "settings", void 0);
    FetchJsonTransportFactory = __decorate([
        inversify_1.injectable()
    ], FetchJsonTransportFactory);
    return FetchJsonTransportFactory;
}());
exports.FetchJsonTransportFactory = FetchJsonTransportFactory;
//# sourceMappingURL=fetch-json-transport.factory.js.map