"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var uuid0 = require("uuid");
/**
 * @stable [11.06.2018]
 * @param {boolean} onlyChars
 * @returns {string}
 */
function uuid(onlyChars) {
    if (onlyChars === void 0) { onlyChars = false; }
    var result = uuid0();
    if (onlyChars) {
        while (/[0-9]{1,}/.test(result)) {
            result = Math.random().toString(36).replace(/[^a-z]+/g, '');
        }
    }
    return result;
}
exports.uuid = uuid;
/**
 * @stable [14.08.2018]
 * @param {TObject} objects
 * @returns {TObject[]}
 */
exports.makeUniqueObjects = function () {
    var objects = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        objects[_i] = arguments[_i];
    }
    return objects.map(function (o, index) { return (__assign({}, o, { value: index })); });
};
//# sourceMappingURL=uuid.js.map