/// <reference types="react" />
import { IEntity } from '../../../definitions.interface';
import { BaseList } from '../../list';
import { ICardListProps } from './card-list.interface';
export declare class CardList extends BaseList<CardList, ICardListProps> {
    /**
     * @stable [02.05.2018]
     * @returns {JSX.Element}
     */
    protected getView(): JSX.Element;
    /**
     * @stable [02.05.2018]
     * @param {IEntity} entity
     * @returns {JSX.Element}
     */
    protected getItem(entity: IEntity): JSX.Element;
}
