import * as URLSearchParams from 'url-search-params';
import { IKeyValue } from '../../definitions.interface';
import { BaseContainer } from '../../component/base';
import { IRootContainerProps } from './root.interface';
export declare class RootContainer extends BaseContainer<IRootContainerProps> {
    static defaultProps: IRootContainerProps;
    constructor(props: IRootContainerProps);
    componentDidMount(): void;
    protected readonly routeParams: IKeyValue;
    protected readonly queryParams: URLSearchParams;
}
